Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | Static Private Attributes | List of all members
ezpKernelRest Class Reference
Inheritance diagram for ezpKernelRest:

## Public Member Functions
| __construct (array $settings=array(), $responseWriterClass=null)
| run ()
| runCallback (\Closure $callback, $postReinitialize=true)
| setUseExceptions ( $useExceptions)
| reInitialize ()
| hasServiceContainer ()
| getServiceContainer ()

## Static Public Member Functions
static | getResponse ()
static | setResponse ( $response)

## Protected Member Functions
| shutdown ( $reInitialize=true)

## Protected Attributes
| $isInitialized = false
| $settings
| $access
| $uri

## Private Attributes
| $responseWriterClass

## Static Private Attributes
static | $response

## Detailed Description

File containing the ezpKernelRest class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Definition at line 11 of file ezpkernelrest.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpKernelRest::__construct | ( | array | $settings = `array()`,
|  |  | $responseWriterClass = `null`
| ) |  |

Parameters

  array | $settings |
  null | $responseWriterClass | Name of the ezpRestHttpResponseWriter implementation to use during request

Definition at line 55 of file ezpkernelrest.php.

References $access, $debug, $file, $ini, $responseWriterClass, $section, $settings, $uri, eZExtension\activateExtensions(), eZExecution\addFatalErrorHandler(), eZSiteAccess\change(), eZSiteAccess\exists(), ezpRestDebug\getInstance(), eZDebug\HANDLE_FROM_PHP, eZDebug\HANDLE_NONE, eZSys\hostname(), eZSys\indexFile(), eZSys\init(), eZURI\instance(), ezpRestDebug\isDebugEnabled(), eZSiteAccess\match(), eZSys\requestURI(), eZSys\serverPort(), eZSys\serverVariable(), eZDebug\setHandleType(), setUseExceptions(), and eZSiteAccess\TYPE_STATIC.

## Member Function Documentation

## ◆ getResponse()

static ezpKernelRest::getResponse | ( |  | ) |
| static

Returns
  mixed

Definition at line 166 of file ezpkernelrest.php.

References $response.

## ◆ getServiceContainer()

ezpKernelRest::getServiceContainer | ( |  | ) |

Returns the Symfony service container if it has been injected, otherwise returns null.

Returns
  \Symfony\Component\DependencyInjection\ContainerInterface|null

Implements ezpKernelHandler.

Definition at line 253 of file ezpkernelrest.php.

## ◆ hasServiceContainer()

ezpKernelRest::hasServiceContainer | ( |  | ) |

Checks whether the kernel handler has the Symfony service container container or not.

Returns
  bool

Implements ezpKernelHandler.

Definition at line 242 of file ezpkernelrest.php.

## ◆ reInitialize()

ezpKernelRest::reInitialize | ( |  | ) |

Reinitializes the kernel environment.

Returns
  void

Implements ezpKernelHandler.

Definition at line 219 of file ezpkernelrest.php.

## ◆ run()

ezpKernelRest::run | ( |  | ) |

Execution point for controller actions. Returns false if not supported

Returns
  ezpKernelResult

Implements ezpKernelHandler.

Definition at line 185 of file ezpkernelrest.php.

References $result, and shutdown().

## ◆ runCallback()

ezpKernelRest::runCallback | ( | \Closure | $callback,
|  |  | $postReinitialize = `true`
| ) |  |

Not supported by ezpKernelTreeMenu

Exceptions

Implements ezpKernelHandler.

Definition at line 199 of file ezpkernelrest.php.

## ◆ setResponse()

static ezpKernelRest::setResponse | ( |  | $response | ) |
| static

Parameters

  mixed | $response |

Definition at line 174 of file ezpkernelrest.php.

References $response, and $response.

## ◆ setUseExceptions()

ezpKernelRest::setUseExceptions | ( |  | $useExceptions | ) |

Sets whether to use exceptions inside the kernel.

Parameters

  bool | $useExceptions |

Implements ezpKernelHandler.

Definition at line 209 of file ezpkernelrest.php.

References eZModule\$useExceptions.

Referenced by __construct().

## ◆ shutdown()

ezpKernelRest::shutdown | ( |  | $reInitialize = `true` | ) |
| protected

Runs the shutdown process

Definition at line 227 of file ezpkernelrest.php.

References eZExecution\cleanup(), and eZExecution\setCleanExit().

Referenced by run().

## Member Data Documentation

## ◆ $access

ezpKernelRest::$access
| protected

Definition at line 32 of file ezpkernelrest.php.

Referenced by __construct().

## ◆ $isInitialized

ezpKernelRest::$isInitialized = false
| protected

Definition at line 18 of file ezpkernelrest.php.

## ◆ $response

ezpKernelRest::$response
| static private

Definition at line 49 of file ezpkernelrest.php.

Referenced by getResponse(), and setResponse().

## ◆ $responseWriterClass

ezpKernelRest::$responseWriterClass
| private

Definition at line 47 of file ezpkernelrest.php.

Referenced by __construct().

## ◆ $settings

ezpKernelRest::$settings
| protected

Definition at line 25 of file ezpkernelrest.php.

Referenced by __construct().

## ◆ $uri

ezpKernelRest::$uri
| protected

Definition at line 37 of file ezpkernelrest.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezpkernelrest.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.